;============================================================================
;
; x3dos example program #1
;
; - Hello World -
;
;============================================================================

;============================================================================
; Pull in standard preprocs
;============================================================================

include 'STDAFX.INC'

;============================================================================
; Program entry point
;============================================================================

        ;====================================================================
        ; All string instructions assume forward
        ;====================================================================

        cld	; DF=0

	;====================================================================
        ; Setup 80x25 text video mode with fresh screen
        ;====================================================================

        mov     ax,VIDEOMODE_TEXT
        call    SetVideoMode

	;====================================================================
	; Setup text and background printing colors
        ;====================================================================

        mov     bl,TEXTCOLOR_RED
        call    SetTextColor

        mov     bl,BKGNDCOLOR_BLACK
        call    SetBkgndColor

	;====================================================================
	; Setup work area for clearing and scrolling
	;====================================================================

	mov	cl,0	; Left
	mov	ch,0	; Top
	mov	dl,79	; Right
	mov	dh,24	; Bottom
	call	SetWorkArea

	;====================================================================
        ; Print something to show were alive
        ;====================================================================

        mov     si,g_Hello
        call    PrintString

	;====================================================================
	; Wait for keystroke and quit
	;====================================================================

        call    WaitForKey
        call    ExitProgram

;============================================================================
; Data starts here
;============================================================================

g_Hello db 'Hell\yo World!',0
